FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::DerivedTypeDetails Class Reference

## Public Member Functions
const std::list< SourceName > & | paramNames () const
const SymbolVector & | paramDecls () const
bool | sequence () const
bool | isForwardReferenced () const
void | add_paramName (const SourceName &name)
void | add_paramDecl (const Symbol &symbol)
void | add_component (const Symbol &)
void | set_sequence (bool x=true)
void | set_isForwardReferenced ()
const std::list< SourceName > & | componentNames () const
const Symbol * | GetParentComponent (const Scope &) const
std::optional< SourceName > | GetParentComponentName () const

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const DerivedTypeDetails &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp